Subject: VRRP for IPv6 Draft

From: Bob Hinden <[email-masked]>
Date: Tue, 23 Oct 2001 16:54:06 -0700

FYI, I have written a VRRP for IPv6 draft based on RFC2338 (VRRP for IPv4) 
and have requested a session for the VRRP w.g. at the Salt Lake City IETF 
to discuss it.  Online discussion should occur on the VRRP mailing list:

   [email-masked]

To subscribe to the VRRP list, send an email to:
   [email-masked]
with
   subscribe vrrp <your_name>
in the body of the message.

More info on the VRRP for IPv6 draft is below.

Bob

>Date: Tue, 23 Oct 2001 16:31:19 -0700
>To: [email-masked]
From: Bob Hinden <[email-masked]>
>Subject: VRRP for IPv6 draft and VRRP Session at IETF 52 in Salt Lake
>   City
>
>Based on some discussion on the VRRP and IPng mailing lists, I have 
>written a VRRP for IPv6 draft.  The protocol operates in the same manner 
>as VRRP (for IPv4) as defined in RFC2338.  The same virtual router 
>master/backup(s) model, state machine works the same way, etc.  The 
>changes to the specification include:
>
>     o Increment VRRP version to 3.
>     o Change packet format to support an 128-bit IPv6 address.
>     o Change to only support one router address (instead of multiple
>       addresses).  This included removing address count field from
>       header.
>     o Rewrote text to specify IPv6 Neighbor Discovery mechanisms
>       instead of ARP.
>     o Changed state machine actions to use Neighbor Discovery
>       mechanisms.  This includes sending unsolicited Neighbor
>       Advertisements, Receiving Neighbor Solicitations, joining the
>       appropriate solicited node multicast group, sending Router
>       Advertisements, and receiving Router Solicitations.
>
>Plus a general rewrite of the introduction and some of the other overview 
>sections.
>
>I took the liberty of making it a VRRP w.g. draft as there was some 
>discussion on the vrrp list and it is a work item in the w.g. charter.
>
>Until the new Internet Draft is out, the draft can be found at:
>
>  http://playground.sun.com/pub/hinden/vrrp/draft-ietf-vrrp-ipv6-spec-00.txt
>
>I will request a one hour slot at the Salt Lake City IETF meeting in 
>December for the VRRP working group to meet.  The main agenda topic will 
>be to discuss this draft.  Please let me know if you have any other topics 
>you would like discussed.
>
>Thanks,
>Bob

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------